## xconvers-0.4.2.tar.gz

=== Makefile ===
# Makefile for xconvers
CFLAGS = -O2 -Wall -g
INCLUDE = -I/usr/X11R6/include

# Headerfiles
HDRS = xconvers.h buildsaddr.h menu_util.h menu.h file.h text.h \
       misc.h settings.h

# Compiler
CC = gcc

# Linker
LD = $(CC)

# Linkerflags
LDFLAGS	= 

# Libraries
LIBS = -lXm -lXt -lX11

# Objectfiles
OBJS = xconvers.o buildsaddr.o menu_util.o  menu.o file.o text.o \
       misc.o settings.o fallback.o

# Programname of the resulting program
PROGRAM	= xconvers

# Sourcefiles
SRCS = xconvers.c buildsaddr.c menu_util.c  menu.c file.c text.c \
       misc.c settings.c fallback.c

all:		$(PROGRAM)

$(PROGRAM):	$(OBJS)
		@echo "Linking $(PROGRAM) ..."
		$(LD) $(LDFLAGS) $(OBJS) $(LIBS) -o $(PROGRAM) -L/usr/X11R6/lib

clean:; 	rm -f $(OBJS) *.o core core.* *~

distclean:	clean
		rm -f $(PROGRAM)
		rm -rf debian/tmp
		
echo:; 		@echo $(HDRS) $(SRCS)

.c.o:;		@rm -f $@
		$(CC) $(CFLAGS) -c $< $(INCLUDE)

install:	all
		install -s  xconvers /usr/X11R6/bin
		install -m 0644 Xconvers.ad /usr/X11R6/lib/X11/app-defaults/Xconvers
		install -m 0644 xconvers.1x /usr/X11R6/man/man1

installdeb:	all
		install -s  xconvers $(DESTDIR)/usr/X11R6/bin
		install -m 0644 Xconvers.ad $(DESTDIR)/usr/X11R6/lib/X11/app-defaults/Xconvers
		install -m 0644 xconvers.1x $(DESTDIR)/usr/X11R6/man/man1

###  dependencies
$(OBJS): xconvers.h
xconvers.o: xconvers.c xconvers.h buildsaddr.c buildsaddr.h menu_util.c menu_util.h
menu_util.o: menu_util.c menu_util.h
menu.o: menu.c menu.h
file.o: file.c file.h
text.o: text.c text.h
misc.o: misc.c misc.h
settings.o: settings.c settings.h
fallback.o: fallback.c

=== debian/changelog ===
xconvers (0.4.2-1) unstable; urgency=low

  * New upstream version.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 26 Jun 2000 19:46:02 +0200

xconvers (0.4.1-1) unstable; urgency=low

  * New upstream version.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed,  3 Nov 1999 21:11:20 +0100

xconvers (0.4-10) unstable; urgency=low

  * Do not strip program when linking.
  * Version number which is in the makefile is now used. Does not show up in the
    program. Don't know why.
  * Sysinfo added to the menu.
  * Connecting station will be highlighted.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 17 Oct 1999 23:51:26 +0200

xconvers (0.4-9) unstable; urgency=low

  * Tweaked the application defaults file for a better look.
  * Fixed another compiler warning.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 17 Oct 1999 19:29:22 +0200

xconvers (0.4-8) unstable; urgency=low

  * Recompile against new lesstif1 package.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 17 Oct 1999 10:00:55 +0200

xconvers (0.4-7) unstable; urgency=low

  * Updated standards version.
  * FHS.
  * Program now returns int.

 -- Joop Stakenborg <pa3aba@debian.org>  Thu, 14 Oct 1999 18:18:33 +0200

xconvers (0.4-6) unstable; urgency=low

  * Another typo fixed.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat,  6 Feb 1999 21:44:32 +0100

xconvers (0.4-5) unstable; urgency=low

  * Changed architecture to 'any'. Fixes bug #28493.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 27 Oct 1998 16:58:49 +0100

xconvers (0.4-4) unstable; urgency=low

  * Put manual page in the right place.
  * Fixed a typo.
  * File permissions of application defaults file fixed.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 13 Oct 1998 15:01:46 +0200

xconvers (0.4-3) unstable; urgency=low

  * Menu entry moved to Hamradio.
  * Wrote a small manual page.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 25 Aug 1998 21:41:10 +0200

xconvers (0.4-2) unstable; urgency=low

  * Fixed the menu.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 24 Jun 1998 16:20:33 +0200

xconvers (0.4-1) unstable; urgency=low

  * Initial Release.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed,  6 May 1998 14:09:39 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "pa3aba@debian.org"
End:

=== debian/control ===
Source: xconvers
Section: hamradio
Priority: optional
Maintainer: Joop Stakenborg <pa3aba@debian.org>
Standards-Version: 3.0.0

Package: xconvers
Architecture: any
Depends: ${shlibs:Depends}
Description: Convers client for X
 Xconvers is originally written as a client to connect to the convers server
 shipped with WAMPES. This GPL version was successfully compiled with lesstif.
 .
 In a split-screen session you can type text into the bottom screen. The
 reply from the server can be seen in the top screen.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=xconvers

build:
	$(checkdir)
	make
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make distclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	make installdeb DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd README BUGS CHANGELOG TODO
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
